Subject: bug#13553: 24.3.50; incorrect usage of IS_DIRECTORY_SEP

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Jan 2013 16:06:47 +0200

> Date: Sat, 26 Jan 2013 14:56:46 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> After looking at the code which I fixed, I'm afraid I don't understand
> why file-attributes returned nil in your case.  The code that uses
> IS_DIRECTORY_SEP there is only a fallback, for when the
> GetFileInformationByHandle API fails for some reason.  You don't say
> what version of Windows you are using, but I won't expect that
> fallback code be executed for any reasonably recent Windows version.

Actually, that fallback code gets also executed if you customize
w32-get-true-file-attributes to nil, or if the file is on a remote
(i.e. networked) filesystem.  Could one of these be true in your case?